apiVersion: batch/v1
kind: Job
metadata:
  name: locust
  labels:
    name: locust
    app: locust
    version: v1
  namespace: sock-shop
spec:
#  replicas: 1
#  selector:
#    matchLabels:
#      name: locust
#      app: locust
#      version: v1
  template:
    metadata:
      labels:
        name: locust
        app: locust
        version: v1
    spec:
      hostNetwork: true
      containers:
        - name: locust
          image: weaveworksdemos/load-test
          args:
            - "-h"
            - "$(FRONT_END_SERVICE_HOST):$(FRONT_END_SERVICE_PORT)"
            - "-r"
            - "10000"
            - "-c"
            - "7"
          resources:
            requests:
              cpu: 100m
              memory: 200Mi
          securityContext:
            runAsNonRoot: true
            runAsUser: 10001
            capabilities:
              drop:
                - all
              add:
                - NET_BIND_SERVICE
            readOnlyRootFilesystem: true
      restartPolicy: OnFailure
      nodeSelector:
        kubernetes.io/os: linux
#---
#apiVersion: v1
#kind: Service
#metadata:
#  name: locust
#  labels:
#    name: locust
#    app: locust
#    version: v1
#  annotations:
#    prometheus.io/scrape: 'true'
#  namespace: sock-shop
#spec:
#  ports:
#    # the port that this service should serve on
#    - port: 8089
#      targetPort: 8089
#  selector:
#    name: locust
#    app: locust
#    version: v1
